> # NAME

> cgGetMatrixParameterfr - get the values from a matrix parameter

> # SYNOPSIS

>       #include <Cg/cg.h>

>       void cgGetMatrixParameterfr( CGparameter param,
>                                    float * matrix );

> # PARAMETERS

> param

>   The parameter from which the values will be returned.

> matrix

>   An array of floats into which the matrix values will be written. The array must have size equal to the number of rows in the matrix times the number of columns in the matrix.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgGetMatrixParameterfr retrieves the values of the given matrix parameter using row-major ordering.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> # HISTORY

> cgGetMatrixParameterfr was introduced in Cg 1.4.

> # SEE ALSO

> cgGetParameterRows, cgGetParameterColumns, cgGetMatrixParameterArray, cgGetParameterValues